Skip to main content
PUT

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
string
required

Name of the LLM provider (e.g., OpenAI, Anthropic)

Body

application/json

Request body for updating an LLM provider. This is a replace operation where you specify the complete desired state. Omitted fields will be removed.

provider
string
required

Name of the LLM provider

api_base
string | null

Custom API base URL. Required for some providers (e.g., Databricks), optional for others (e.g., Bedrock VPC endpoints). Must use HTTPS.

Maximum string length: 512
models
Model Compact Request · object[]

Complete list of models to support. This replaces all existing models.

credentials
Credential Update · object[]

Complete list of credentials. Include existing ones (name/uuid) to keep them, add new ones (name/credential_config) to create them. Omitted credentials will be removed.

Response

LLM provider updated successfully

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Details of an LLM provider